Subject: Re: [PATCH v1 24/27] doc/git-log: describe new --diff-merges options

From: Sergey Organov <[email-masked]>
Date: Fri, 04 Dec 2020 22:58:13 +0300

Elijah Newren <[email-masked]> writes:

> On Fri, Dec 4, 2020 at 9:34 AM Sergey Organov <[email-masked]> wrote:

[...]

>> >> To my excuse, I took this from git:5fbb4bc191 that has:
>> >>
>> >> +Note that unless one of `-c`, `--cc`, or `-m` is given, merge commits
>> >> +will never show a diff, even if a diff format like `--patch` is
>> >> +selected, nor will they match search options like `-S`. The exception is
>> >> +when `--first-parent` is in use, in which merges are treated like normal
>> >> +single-parent commits (this can be overridden by providing a
>> >> +combined-diff option or with `--no-diff-merges`).
>> >
>> > Yeah, I can see where you're coming from, though the context change
>> > feels like just enough different that the four words you added bother
>> > me a bit more.  However, this existing wording does bother me now that
>> > you highlight it.  Even though it's not something introduced by your
>> > patch, I'd really like to drop "normal" here; I think it is prone to
>> > cause confusion to users and as far as I can tell provides no useful
>> > meaning for the sentence.  (There are multiple types of single-parent
>> > commits?  What is an "unnormal" one?  How do I tell which kind I want?
>> >  etc...).
>>
>> I see your point, but I won't change it in these series. I think that
>> it'd be better if you change this yourself, independently.
>
> Sounds good; I'll submit it after your series merges to avoid any conflicts.

Ooops! I actually did change this in the series, and now it reads:

       Note that unless one of --diff-merges variants (including short
       -m, -c, and --cc options) is explicitly given, merge commits will
       not show a diff, even if a diff format like --patch is selected,
       nor will they match search options like -S. The exception is when
       --first-parent is in use, in which case
       --diff-merges=first-parent is implied.

that hopefully is OK with you.

-- Sergey Organov